Bug 475750 - Cannot enable Dual Screen on Matrox G450
Cannot enable Dual Screen on Matrox G450
Status: CLOSED DUPLICATE of bug 520280
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 04:41 EST by Remi Collet
Modified: 2009-11-28 04:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-28 04:11:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log (42.30 KB, text/plain)
2008-12-10 04:43 EST, Remi Collet
no flags Details
xorg.conf (904 bytes, text/plain)
2008-12-10 04:43 EST, Remi Collet
no flags Details

  None (edit)
Description Remi Collet 2008-12-10 04:41:23 EST
Description of problem:
With default xorg config (no xorg.conf), monitor display the same image.

When a try to declare activate Dual Screen, X doesn't start anymore.

Version-Release number of selected component (if applicable):

Hardware:
(--) PCI:*(0@1:0:0) Matrox Graphics, Inc. MGA G400/G450 rev 133, Mem @ 0xf8000000/0, 0xfe9fc000/0, 0xfe000000/0, BIOS @ 0x????????/131072

Driver:
xorg-x11-drv-mga-1.4.9-1.fc9.i386


From Xorg.log :
(EE) MGA(0): Unable to map BAR 0.  Invalid argument (22)

Fatal server error:
AddScreen/ScreenInit failed for driver 0
Comment 1 Remi Collet 2008-12-10 04:43:02 EST
Created attachment 326474 [details]
Xorg.log

Full xorg.log
Comment 2 Remi Collet 2008-12-10 04:43:44 EST
Created attachment 326475 [details]
xorg.conf

used xorg.conf for test
Comment 3 Ferry Huberts 2009-01-15 06:06:34 EST
I have the same error on F9 with a G550


Hardware:
(--) PCI:*(0@18:0:0) Matrox Graphics, Inc. MGA G550 AGP rev 1, Mem @
0xd0000000/33554432, 0xd2800000/16384, 0xd2000000/8388608, BIOS @ 0x????????/131072

Driver:
xorg-x11-drv-mga-1.4.9-1.fc9.x86_64


From Xorg.log :
(EE) MGA(0): Unable to map BAR 0.  Invalid argument (22)

Fatal server error:
AddScreen/ScreenInit failed for driver 0
Comment 4 Jussi Torhonen 2009-05-06 14:28:19 EDT
Same problem here with F10/i386 and G450 when configuring Xorg for Xinerama usage.

HW:
(--) PCI:*(0@1:0:0) Matrox Graphics, Inc. MGA G400/G450 rev 130, Mem @ 0xf2000000/0, 0xf1200000/0, 0xf0800000/0, BIOS @ 0x????????/131072

Drvr:
xorg-x11-drv-mga-1.4.9-1.fc9.i386

Error msg in Xorg.0.log:

(II) Reloading /usr/lib/xorg/modules//libxaa.so
(II) do I need RAC?  Yes, I do.
(II) resource ranges after preInit:
        [0] -1  0       0xffffffff - 0xffffffff (0x1) MX[B]
        [1] -1  0       0x000f0000 - 0x000fffff (0x10000) MX[B]
        [2] -1  0       0x000c0000 - 0x000effff (0x30000) MX[B]
        [3] -1  0       0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [4] 0   0       0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
        [5] 0   0       0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
        [6] 0   0       0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
        [7] -1  0       0x0000ffff - 0x0000ffff (0x1) IX[B]
        [8] -1  0       0x00000000 - 0x00000000 (0x1) IX[B]
        [9] 0   0       0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
        [10] 0  0       0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(EE) MGA(0): Unable to map BAR 0.  Invalid argument (22)

Fatal server error:
AddScreen/ScreenInit failed for driver 0

Perhaps related to:
http://bugs.gentoo.org/265100
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-mga/+bug/292214/+activity
Comment 5 Remi Collet 2009-06-18 05:29:46 EDT
Same problem after upgrading to Fedora 11

+
Comment 6 Bug Zapper 2009-11-18 05:25:07 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Vedran Miletić 2009-11-28 04:11:24 EST
The other bug is indeed reported later, but has far more information.

*** This bug has been marked as a duplicate of bug 520280 ***

Note You need to log in before you can comment on or make changes to this bug.